# Poker Chips

This is an OpenSCAD program to build a poker chip.

<img src="chip.webp" alt="sample chip" height="320">

You can tell it how many sides you want (round = 360 sides),
how many spokes you want,
and the dimensions.

The front has text on it,
the back doesn't.
So you can use them for games that need some sort of coin with two sides.


# How To Build

Load [chip.scad](chip.scad) in OpenSCAD.
In the menu, select "View" then "Customizer".
Click the "Parameters" collapsed item in the new pane,
and put in whatever values you want.

When you're ready to make a `.stl` file,
click the "Render" button,
then "Export as STL".


# Chip Colors

This is what I found on some random crafting web site.
I'm not a poker fan,
so random website's color scheme works fine for me.


| Value | Color |
| --- | --- |
| 1 | White |
| 5 | Red |
| 10 | Blue |
| 25 | Green |
| 50 | Orange |
| 100 | Black |
| 250 | Light Red |
| 500 | Purple |
| 1000 | Yellow |
| 2000 | Light Blue |
| 5000 | Brown |


# Chip Sizes

A "standard" poker chip is 39mm wide, and 3.5mm thick.

A "miniature" poker chip is 22m wide, and I don't know how thick.

There are boxes you can print that work will with these dimensions.

You can make yours whatever size you like, though.
I won't tell anybody.
